| IOLink Python 1.11.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Properties | List of all members
iolink.iolink.ReadonlyImageInfoProperty Class Reference
Inheritance diagram for iolink.iolink.ReadonlyImageInfoProperty:

## Public Member Functions
| __init__ (self, imageInfo)
| get_axes_interpretation (self)
| get_alpha (self)
| get_bit_depth (self)
| get_value_range (self)
| to_string (self)
| __repr__ (self)
| get_interpretation (self)

## Protected Member Functions
| _get_interpretation (self)

## Properties
| thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
| axes_interpretation = property(get_axes_interpretation, doc=get_axes_interpretation.__doc__)
| interpretation = property(get_interpretation, doc=_get_interpretation.__doc__)
| has_alpha = property(get_alpha, doc=get_alpha.__doc__)
| bit_depth = property(get_bit_depth, doc=get_bit_depth.__doc__)
| value_range = property(get_value_range, doc=get_value_range.__doc__)

## Detailed Description

    Wrapper class around ImageInfoProperty to force readonly access.

## Constructor & Destructor Documentation

## ◆ __init__()

iolink.iolink.ReadonlyImageInfoProperty.__init__ | ( |  | self,
|  |  | imageInfo
| ) |  |

    Wrap the ImageInfoProperty instance.

## Member Function Documentation

## ◆ _get_interpretation()

iolink.iolink.ReadonlyImageInfoProperty._get_interpretation | ( |  | self | ) |
| protected

    Proxy for ImageInfoProperty::interpretation.

## ◆ get_alpha()

iolink.iolink.ReadonlyImageInfoProperty.get_alpha | ( |  | self | ) |

    Proxy for ImageInfoProperty::hasAlpha.

## ◆ get_axes_interpretation()

iolink.iolink.ReadonlyImageInfoProperty.get_axes_interpretation | ( |  | self | ) |

    Proxy for ImageInfoProperty::axesInterpretation.

## ◆ get_bit_depth()

iolink.iolink.ReadonlyImageInfoProperty.get_bit_depth | ( |  | self | ) |

    Proxy for ImageInfoProperty::bitDepth.

## ◆ get_value_range()

iolink.iolink.ReadonlyImageInfoProperty.get_value_range | ( |  | self | ) |

    Proxy for ImageInfoProperty::valueRange.

## ◆ to_string()

iolink.iolink.ReadonlyImageInfoProperty.to_string | ( |  | self | ) |

    Proxy for ImageInfoProperty::toString.

The documentation for this class was generated from the following file:

- Release/python/iolink/iolink.py